/* ----------------------  analog_Light_Sensor  -----------------------
 *
 *   Hardware Setup- a voltage divider connected to analog pin A5:
 *   1) -Wire a photoresister between +5vdc and an empty row on the breadboard
 *   2) -Wire a 10k resistor between that same row on the breadboard to ground.
 *   3) -Jumper wire from that same row to Analog Pin 5 (A5)
 *
 *   -Note: This sketch introduces the map() function for scaling values
 *------------------------------------------------------------------------*/
int a_in;               // create variable for storing analog readings
int sensorPin = A5;      // variable for analog pin as A5


void setup() {
  Serial.begin(9600);
}

void loop() {
  // read sensor, store in variable, print
  a_in = analogRead(sensorPin); 

  a_in = constrain(a_in, 10, 250);
  a_in = map(a_in, 10, 250, 0, 255);  // scale it to 8 bits
  Serial.println(a_in);
 
}
